.modal-visible {
  position: fixed;
  top: 0;
  left: 0;
  width:100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: block;
}

.modal-hidden {
  display: none;
}

.modal-frame {
  position:fixed;
  background: white;
  width: 80%;
  height: auto;
  min-height: 50%;
  top:50%;
  left:50%;
  transform: translate(-50%,-50%);
}

@media only screen and (max-width: 768px) {
  .modal-frame {
    width: 100%;
    height: 100%;
  }
}

button.close {
  position: absolute;
  top: 0;
  margin-top: 16px;
  right: 0;
  margin-right: 16px;
  padding: 1em;
  border: 0;
  background-color: rgba(0, 0, 0, 0);
  color: black;
  text-transform: uppercase;
}

button.close::after {
  font-size: 1.2em;
  padding-left: 8px;
  content: 'X';
}